import React, {Component} from "react";
import {Row, Col} from "react-bootstrap"
import '../Style.css'
import {Link} from "react-router-dom";

class Eleves extends Component {
    constructor(props) {
        super(props);
        this.state = {
            students: [],
        };
    }

    componentWillMount() {
        let dept = window.location.href.split('/')[3]
        let sem = window.location.href.split('/')[5]
        let BASE_URL = window.$api_url
        fetch(BASE_URL + dept +
            '/Scolarite/Notes/groups_view?with_codes=1&format=json&formsemestre_id=' + sem, {
            method: 'GET',
            verify: false,
            credentials: 'include',
        })
            .then(response =>
                response.json().then(data => ({
                        data: data,
                    })
                ).then(res => {
                    this.setState({ students: res.data});
                }));
    }

    render() {
        return (
            <div className="wrapper">
                <h1 id="pageTitle">Liste des élèves</h1>
                <div className="container">
                    <div className="row">
                        {this.state.students.map((student, index) => {
                            return (
                                <div className="col-sm" key={index} id="wrapDept">
                                    <Link to={`/${window.location.href.split('/')[3]}/Scolarite/Etudiant/${student.etudid}`}>
                                        {student.nom_disp} {student.prenom}
                                    </Link>
                                </div>
                            )
                        },)}
                    </div>
                </div>
            </div>
        )
    }
}

export default Eleves