import React, {Component} from "react";
import {Link, Redirect} from "react-router-dom";
import './Style.css'
import {Nav, Navbar, Button, Container} from 'react-bootstrap'

class ScoNavBar extends Component {
    constructor(props) {
        super(props);
        this.state = {
            login: {},
            semestre: {},
        };
    }

    logout() {
        let BASE_URL = window.$api_url

        fetch(BASE_URL + "acl_users/logout")
            .then(res => {return <Redirect to="/" />})
            .catch(console.log)
    }

    render() {
        return (
            <Navbar bg="light" expand="sm">
                <Container>
                    <Navbar.Brand>
                        <img
                            alt="ScodocLogo"
                            src="https://scodoc.dev.net/ScoDoc/static/icons/scologo_img.png"
                            width="20"
                            height="30"
                            className="d-inline-block align-top"
                        />{' '}
                        ScoDoc
                    </Navbar.Brand>
                    <Navbar.Toggle aria-controls="basic-navbar-nav" />
                    <Navbar.Collapse id="basic-navbar-nav">
                        <Nav className="ml-auto">
                            <Link to="/">
                                <Button variant="primary" onClick={() => {this.logout()}}>Déconnexion</Button>
                            </Link>
                        </Nav>
                    </Navbar.Collapse>
                </Container>
            </Navbar>
        )
    }
}

export default ScoNavBar