import React, {Component} from "react";
import {Link} from "react-router-dom";
import './Style.css'
import ScoNavBar from "./ScoNavBar";
import SearchStudent from './SearchStudent'
import {Accordion, Card, Button} from 'react-bootstrap'

class Scolarite extends Component {
    constructor(props) {
        super(props);
        this.state = {
            semestres: [],
            students: [],
            toast: false
        };
        this.dismissToast = this.dismissToast.bind(this);
        this.getData = this.getData.bind(this);
    }

    /* getJsonData () {
        return require('..\\json\\sems.json');
    } */

    componentWillMount() {
        let dept = window.location.href.split('/')[3]
        let BASE_URL = window.$api_url
        fetch(BASE_URL + dept + '/Scolarite/Notes/formsemestre_list?format=json', {
            method: 'GET',
            verify: false,
            credentials: 'include',
        })
            .then(response =>
                response.json().then(data => ({
                        data: data,
                        status: response.status
                    })
                ).then(res => {
                    this.setState({ semestres: res.data });
                }));
    }

    getData () {
        return this.state.semestres
    }

    dismissToast() {
        this.setState({toast: false})
    }

    render() {
        return (
            <div>
                <ScoNavBar/>
                <section>
                    <h1 id="pageTitle">Scolarité</h1>
                </section>

                <Accordion defaultActiveKey="0">
                    <Card>
                        <Card.Header>
                            <Accordion.Toggle as={Button} variant="link" eventKey="0">
                                Choix du semestre
                            </Accordion.Toggle>
                        </Card.Header>
                        <Accordion.Collapse eventKey="0">
                            <Card.Body>
                                {this.state.semestres.map((sem, index) => {
                                    return (
                                        <div className="col-12" key={index} id="wrapDept">
                                        {sem.etat !== 0 ?
                                            <Link to={`/${window.location.href.split('/')[3]}/Scolarite/${sem.formsemestre_id}/GestionSem`}>
                                            <h3>{sem.titre} [{sem.modalite}]</h3>
                                            <p>Semestre {sem.semestre_id} - Année {sem.anneescolaire} [{sem.date_debut} - {sem.date_fin}]</p>
                                            </Link>
                                        : null}
                                        </div>
                                    )
                                })}
                            </Card.Body>
                        </Accordion.Collapse>
                    </Card>
                    <Card>
                        <Card.Header>
                            <Accordion.Toggle as={Button} variant="link" eventKey="1">
                                Recherche étudiant
                            </Accordion.Toggle>
                        </Card.Header>
                        <Accordion.Collapse eventKey="1">
                            <Card.Body>
                                <SearchStudent />
                            </Card.Body>
                        </Accordion.Collapse>
                    </Card>
                </Accordion>

                <footer className="fixed-bottom">
                    <div style={{background: "#cccccc", padding: "5px"}}>
                        <Link to="/">
                            <Button type="button" className="btn waves-effect waves-light btn-primary">Retour au choix de département</Button>
                        </Link>
                    </div>
                </footer>
            </div>
        );
    }
}

export default Scolarite;